%define	with_consolekit	1
Name: xdm
Version: 1.1.6
Release: %mkrel 4
Summary: X Display Manager with support for XDMCP 
Group: System/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1: xdm.pamd
# Support kdm extended syntax to reserve a server for future use but do nothing
Patch0: xdm-1.0.4-reserve.patch
# Initialize the greeter only after checking if the the required steps are ok
Patch1: xdm-1.0.4-greeter.patch 
Patch2: 0002-xdm-console-kit-support.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxdmcp-devel >= 1.0.0
BuildRequires: libxmu-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: libxaw-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libpam-devel

%if %{with_consolekit}
BuildRequires:	consolekit-devel
BuildRequires:	libdbus-devel
%endif

Requires: xinitrc xrdb
Requires: sessreg
Conflicts: xorg-x11 < 7.0

%description
Xdm manages a collection of X displays, which may be on the local host or
remote servers. The design of xdm was guided by the needs of X terminals as
well as The Open Group standard XDMCP, the X Display Manager Control Protocol.
Xdm provides services similar to those provided by init, getty and login on
character terminals: prompting for login name and password, authenticating the
user, and running a session.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .reserve
%patch1 -p1 -b .greeter
%if %{with_consolekit}
%patch2 -p1 -b .consolekit
%endif

%build
autoreconf
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		%if %{with_consolekit}
		--with-consolekit \
		%endif
		--with-pam

%make

%install
rm -rf %{buildroot}
%makeinstall_std

LC_ALL=C
LANG=C
export LC_ALL LANG

# remove files that are in xinitrc
rm -rf %{buildroot}%{_libdir}/X11/xdm/{[A-Z]*,xdm-config}

ln -s ../../../../etc/X11/xdm/xdm-config %{buildroot}%{_libdir}/X11/xdm

# remove unused devel files
rm -rf %{buildroot}%{_libdir}/X11/xdm/*.{a,la}

# install PAM file
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{_sourcedir}/xdm.pamd $RPM_BUILD_ROOT/etc/pam.d/xdm

install -d $RPM_BUILD_ROOT/var/lib/xdm
ln -sf ../../../../var/lib/xdm %{buildroot}%{_libdir}/X11/xdm/authdir

# logrotate
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cat << EOF > %{buildroot}%{_sysconfdir}/logrotate.d/xdm
/var/log/xdm-error.log {
    notifempty
    missingok
    nocompress
}
EOF

%pre
if [ -d %{_libdir}/X11/xdm/authdir ]; then
	# this is now a symlink
	rm -rf %{_libdir}/X11/xdm/authdir
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pam.d/xdm
%config(noreplace) %{_sysconfdir}/logrotate.d/xdm
%dir /var/lib/xdm
%{_bindir}/xdm
%{_bindir}/xdmshell
%{_datadir}/X11/app-defaults/Chooser
%{_mandir}/man1/xdm.*
%{_libdir}/X11/xdm/*




%changelog
* Thu Sep 13 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.1.6-4mdv2008.0
+ Revision: 85182
- Increase release and add change commented in previous commit, but that ended
  not being added when merging the 2 ConsoleKit related patches.
- Merge changes to only one patch (fix a close instead of close) and should also
  implement the only feature left missing from the Kdm patch, that is the remote
  server name in case of non local connection.
  If there are no bugs associated with proper setting the XDG_SESSION_COOKIE
  environment variable, it should be as functional to ConsoleKit as Kdm.

* Thu Sep 13 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.1.6-3mdv2008.0
+ Revision: 85138
- Add a X Server 'tty' detection code to provide the proper 'x11-display-device'
  field to dbus.

* Wed Sep 12 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.1.6-2mdv2008.0
+ Revision: 84808
- First release with KDM's ConsoleKit path adpated to XDM.

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-1mdv2008.0
+ Revision: 64747
- new release

* Fri Aug 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.5-1mdv2008.0
+ Revision: 61657
- fix man extension
- new release


* Thu Feb 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.4-1mdv2007.0
+ Revision: 121448
- new release

* Tue Feb 06 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.3-1mdv2007.1
+ Revision: 116787
- new upstream version: 1.1.3

* Thu Dec 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.2-1mdv2007.1
+ Revision: 97066
- new release

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.1-1mdv2007.1
+ Revision: 85959
- new release

* Tue Aug 29 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.5-5mdv2007.0
+ Revision: 58564
- fix the upgrade in cases where /usr/lib/X11/xdm/authdir is a
  directory (#24774)

* Tue Aug 15 2006 Pixel <pixel@mandriva.com> 1.0.5-4mdv2007.0
+ Revision: 56059
- fix group
- make /etc/X11/xdm/xdm-config accessible
- add requires sessreg (used by GiveConsole and TakeConsole)
- restore authdir symlink to /var/lib/xdm (otherwise xdm writes temp stuff in /usr)

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - pam_stack is deprecated. Fixed the xdm.pamd file
    - enable missing pam support

* Sat Jun 24 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.5-1mdv2007.0
+ Revision: 37943
- new upstream release (1.0.5):
  * setuid return value check fix
- adding xdm.pamd to the sources list
- add pam and logrotate files (Closes #22589)
- added patch: Support kdm extended syntax to reserve a server for future use
  but do nothing
- added patch: Initialize the greeter only after checking if the the required
  steps are ok
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fill in more missing descriptions

  + Pixel <pixel@mandriva.com>
    - we need libXdmGreet.so

